import * as plugins from './zitadel.plugins.js';

export type IZitadelApiUserObject = plugins.tsclass.typeFest.AsyncReturnType<
  plugins.zitadel.UserServiceClient['listUsers']
>['result'][0];

export class ZitaldelUser {
  // STATIC
  static async fromApiUserObject(apiUserObject: IZitadelApiUserObject) {
    const newUser = new ZitaldelUser();
    newUser.data = apiUserObject;
    return newUser;
  }

  // INSTANCE
  data: IZitadelApiUserObject;
}
